"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createHash = void 0;

var _jsum = _interopRequireDefault(require("jsum"));

var _graphql = require("graphql");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const createHash = astNode => {
  if (astNode.kind !== _graphql.Kind.DOCUMENT) {
    throw new Error("Invalid gql syntax.");
  }

  return _jsum.default.digest(astNode, "SHA256", "hex");
};

exports.createHash = createHash;